Téléchargement


Téléchargez la dernière version (2.0.1)

Compatibilité entre les systèmes

RaspiSMS a été orginellement conçu dans le but de fournir une interface web et une API pour l'envoi de SMS depuis une Raspberry Pi tournant sous Raspbian.
Cependant, Raspbian étant basée sur Debian, RaspiSMS devrait tourner sous Debian, et l'ensemble des distributions dérivées, telles que Ubuntu, Elementary, etc.
RaspiSMS est fourni sous deux formes. Un package Debian, et une archive ".tar.gz" ne contenant que les fichiers du site.
En utilisant l'archive ".tar.gz", il est possible d'adapter RaspiSMS à des distributions autres, de type RedHat par exemple.

Les dépendances

Pour fonctionner, RaspiSMS nécessite d'installer un certain nombre de logiciels tiers. En voici la liste :

  • apache2
  • php
  • php-mysql
  • gammu
  • gammu-smsd
  • mysql-server
Par ailleurs, la gestion des fichiers ".htaccess" et de la réécriture d'URL d'Apache doivent être activés.

Les versions

Afin de permettre à tous de voir facilement les sources de RaspiSMS et son évolution, voici un historique des versions.

Les identifiants

Par défaut, la version "image système" de RaspiSMS reprend les identifiants par défaut suivants :

  • Système Linux : pi/raspberry
  • RaspiSMS : admin@example.fr/admin